Subject: Re: [bug#47350] [PATCH 00/29] Add Zygote (piece for Machine Learning with Julia)

From: zimoun <[email-masked]>
Date: Wed, 24 Mar 2021 10:35:30 +0100

Hi Nicoló,

On Wed, 24 Mar 2021 at 09:15, Nicolò Balzarotti <[email-masked]> wrote:
> zimoun <[email-masked]> writes:
>
>> If you want to review, then it would help. :-)
>
> Here you go:

Thanks for the prompt review!

> julia-colors:
> Instead of removing the tests, calling julia with --depwarn=yes
> should do the trick.
> I changed the (check) function in julia-build-system adding
> replacing invoke "julia" with invoke "julia" "--depwarn=yes", removed
> your phase from julia-colors and everything went well (built zygote and
> HTTP, which should cover all packages we have).  Would you mind
> fixing the build system directly?  As I guess other packages will fail
> the same way

Ok, I will double-check if we change the option of the build system or
simply locally tweak the arguments case per case.

Thanks again!

Cheers,
simon